<?
include '../config.php';
include '../func.php';
head();
aut();
ban();


/////////////////////////////
mysql_query("UPDATE `profile` SET `online` = 'photo' WHERE `id` = '".$id_session."'");
echo head . "<b>Фотоальбомы</b>" . div;   

if ( $_GET['mod'] == 'yesprev' ) echo link1 . 'Превью изображения изменено' . div;
echo katalog;
$icon = 'vesna';

echo "<img src=\"../style/".$icon."/2.png\" alt=\"\" /> <a href=\"top.php?mod=new\">Новые</a><br/>";
echo "<img src=\"../style/".$icon."/2.png\" alt=\"\" /> <a href=\"top.php?mod=best\">Лучшие</a><br/>";
echo "<img src=\"../style/".$icon."/2.png\" alt=\"\" /> <a href=\"top.php?mod=popular\">Популярные</a><br/><br/>";

echo "<img src=\"../style/".$icon."/2.png\" alt=\"\" /> <a href=\"my_album.php\">Мои альбомы</a><br/>";
echo "<img src=\"../style/".$icon."/2.png\" alt=\"\" /> <a href=\"new_album.php\">Добавить альбом</a><br/>";
echo "<img src=\"../style/".$icon."/2.png\" alt=\"\" /> <a href=\"add.php\">Добавить фото</a><br/>";

echo div;
echo link1;
echo "<b>Альбомы по жанрам:</b><br/ >";
echo div;

$all = mysql_result(mysql_query("SELECT count(*) FROM `photo_raz`"), 0);

if($all==0)
echo link1 . 'Разделы еще не созданы' . div;
else
$query = @mysql_query("SELECT * FROM `photo_raz`");
while($result = @mysql_fetch_array($query))
{
    $all_album = mysql_result(mysql_query("SELECT count(*) FROM `photo_album` WHERE `cat` = '".$result['id']."'"), 0);
    
    

echo link2 . "<img src=\"../style/".$icon."/1.png\" alt=\"\" /> <a href=\"cat.php?id=".$result['id']."\">".$result['nazwan']."</a> [".$all_album."]" . div;
}




echo div . link2 . '<b>Предпросмотр:</b> [Установлено: Y = '.num($_SESSION['y']).' X = '.num($_SESSION['x']).']<br/ >';
echo '<form action="setting.php?mod=prev" method="post" name="form">';
    echo '<b>По вертикали:</b>[px]<br/>
    <select name="y">
    <option value="20">20</option>
    <option value="40">40</option>
    <option value="80">80</option>
    <option value="100">100</option>
    <option value="200">200</option>
    </select><br/ >';
echo '<small>При выборе Auto, горизонталь подстраивается под вертикаль<br/ >По умолчанию Y = 100, X = Auto</small><br/ >';
echo '<input name="submit" type="submit" class="button" value="Изменить" /></form>' . div;

pod_navig();
foot();
?>